﻿
using System.Collections.Generic;
namespace HeuristicLab.Algorithms.GraphRouting.Interfaces {
  public interface IHeap<K, V> {
    int Size { get; }
    KeyValuePair<K, V> PeekMin();
    K PeekMinKey();
    V PeekMinValue();
    void Insert(K key, V value);
    void DecreaseKey(K key, V value);
    void RemoveMin();
  }
}
